cascading.util.jgrapht

## Class StringNameProvider<V>

- java.lang.Object
- - cascading.util.jgrapht.StringNameProvider<V>

All Implemented Interfaces:
  VertexNameProvider<V>

    public class StringNameProvider<V>
    extends java.lang.Object
    implements VertexNameProvider<V>

### Constructor Summary

Constructors
Constructor and Description
`StringNameProvider()`

### Method Summary

Methods
`java.lang.String` `getVertexName(V vertex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringNameProvider

    public StringNameProvider()

### Method Detail

#### getVertexName

    public java.lang.String getVertexName(V vertex)

Specified by:
  `getVertexName` in interface `VertexNameProvider<V>`